6.0.0-git
2019-03-23

[#8795] LDIF import fail
Summary LDIF import fail
Queue Turba
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners
Requester lst_hoe02 (at) kwsoft (dot) de
Created 2009-12-22 (3378 days ago)
Due
Updated 2014-01-27 (1881 days ago)
Assigned 2010-03-17 (3293 days ago)
Resolved 2014-01-27 (1881 days ago)
Milestone
Patch No

History
2014-01-27 19:59:42 Michael Rubinsky Comment #7
Taken from Matt Selsky
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
Works fine in current code.
2010-05-17 16:45:28 rlitten (at) onecommunications (dot) com Comment #6 Reply to this comment
Same issue we are having running Turba 2.3.3.

2010-03-17 15:41:19 Jan Schneider State ⇒ Assigned
 
2010-01-28 13:50:51 lst_hoe02 (at) kwsoft (dot) de Comment #5 Reply to this comment
The source.php in question:

$cfgSources['pers_sql'] = array(
     'title' => _("My Address Book"),
     'type' => 'sql',
     'charset' => 'utf-8',
     // The default connection details are pulled from the Horde-wide SQL
     // connection configuration.
     'params' => array_merge($GLOBALS['conf']['sql'], array('table' => 
'turba_objects')),
     // Using two tables as datasource.
     // 'params' => array_merge($GLOBALS['conf']['sql'],
     //                         array('table' => 'leaddetails LEFT 
JOIN leadaddress ON leaddetails.leadid = leadaddress.leadaddressid',
     //                               'filter' => 
'leaddetails.converted = 0')),
     'map' => array(
         '__key' => 'object_id',
         '__owner' => 'owner_id',
         '__type' => 'object_type',
         '__members' => 'object_members',
         '__uid' => 'object_uid',
         'firstname' => 'object_firstname',
         'lastname' => 'object_lastname',
         'middlenames' => 'object_middlenames',
         'namePrefix' => 'object_nameprefix',
         'nameSuffix' => 'object_namesuffix',
         // 'name' => array('fields' => array('namePrefix', 'firstname',
         //                                   'middlenames', 'lastname',
         //                                   'nameSuffix'),
         //                 'format' => '%s %s %s %s %s',
         //                 'parse' => array(
         //                     array('fields' => array('firstname', 
'middlenames',
         //                                             'lastname'),
         //                           'format' => '%s %s %s'),
         //                     array('fields' => array('firstname', 
'lastname'),
         //                           'format' => '%s %s'))),
         // This is a shorter version of a "name" composite field which only
         // consists of the first name and last name.
         'name' => array('fields' => array('firstname', 'lastname'),
                         'format' => '%s %s'),
         'alias' => 'object_alias',
         'birthday' => 'object_bday',
         // The photo field requires at least Horde 3.3 and a matching type
         // field.
         'photo' => 'object_photo',
         'phototype' => 'object_phototype',
         'homeStreet' => 'object_homestreet',
         'homePOBox' => 'object_homepob',
         'homeCity' => 'object_homecity',
         'homeProvince' => 'object_homeprovince',
         'homePostalCode' => 'object_homepostalcode',
         'homeCountry' => 'object_homecountry',
         // This is an example composite field for addresses, so you 
can display
         // the various map links. If you use this, be sure to add 
'homeAddress'
         // to the 'tabs' parameter below.
         'homeAddress' => array('fields' => array('homeStreet', 'homeCity',
                                                  'homeProvince',
                                                  'homePostalCode'),
                                'format' => "%s \n %s, %s  %s"),
         'workStreet' => 'object_workstreet',
         'workPOBox' => 'object_workpob',
         'workCity' => 'object_workcity',
         'workProvince' => 'object_workprovince',
         'workPostalCode' => 'object_workpostalcode',
         'workCountry' => 'object_workcountry',
         'timezone' => 'object_tz',
         'email' => 'object_email',
         'homeEmail' => 'object_email_home',
         'workEmail' => 'object_email_work',
         'homePhone' => 'object_homephone',
         'workPhone' => 'object_workphone',
         'cellPhone' => 'object_cellphone',
         'fax' => 'object_fax',
         'pager' => 'object_pager',
         'title' => 'object_title',
         'role' => 'object_role',
         'company' => 'object_company',
         // The logo field requires at least Horde 3.3 and a matching type
         // field.
         // 'logo' => 'object_logo',
         // 'logotype' => 'object_logotype',
         'category' => 'object_category',
         'notes' => 'object_notes',
         'website' => 'object_url',
         'freebusyUrl' => 'object_freebusyurl',
         'pgpPublicKey' => 'object_pgppublickey',
         'smimePublicKey' => 'object_smimepublickey',
     ),
     'tabs' => array(
         _("Personal") => array('firstname', 'lastname', 'middlenames',
                                'namePrefix', 'nameSuffix', 'name', 'alias',
                                'birthday', 'photo'),
         _("Location") => array('homeStreet', 'homePOBox', 'homeCity',
                                'homeProvince', 'homePostalCode', 
'homeCountry',
                                'workStreet', 'workPOBox', 'workCity',
                                'workProvince', 'workPostalCode', 
'workCountry',
                                'timezone'),
         _("Communications") => array('email', 'homeEmail', 
'workEmail', 'homePhone', 'workPhone',
                                      'cellPhone', 'fax', 'pager'),
         _("Organization") => array('title', 'role', 'company', 'logo'),
         _("Other") => array('category', 'notes', 'website', 'freebusyUrl',
                             'pgpPublicKey', 'smimePublicKey'),
     ),
     'search' => array(
         'name',
         'email',
         'homeEmail',
         'workEmail',
         'homePhone',
         'workPhone',
         'cellPhone'
     ),
     'strict' => array(
         'object_id',
         'owner_id',
         'object_type',
     ),
     'export' => true,
     'browse' => true,
     'use_shares' => true,
     'list_name_field' => 'lastname',
     'alternative_name' => 'company',
);
2010-01-23 08:45:28 Matt Selsky Comment #4
State ⇒ Feedback
Reply to this comment
What does your turba/config/sources.php look like?  I'm able to import 
this file OK via the test suite.
2010-01-13 14:04:36 Jan Schneider Assigned to Matt Selsky
State ⇒ Assigned
 
2010-01-13 13:46:48 lst_hoe02 (at) kwsoft (dot) de Comment #3
New Attachment: adressen-2.3.3-modified.ldif Download
Reply to this comment
Sorry for the late reply. The error occurs with the attached LDIF file 
created as export from a Turba 2.3.3 addressbook which worked fine 
with 2.3.2.

2009-12-28 08:16:19 Matt Selsky Comment #2
State ⇒ Feedback
Reply to this comment
What are the values of $values['mozillaHomeLocalityName'] and 
$values['mozillaHomeState'] on line 257?

Do you have a sample LDIF file that demonstrates the problem?
2009-12-22 09:38:30 lst_hoe02 (at) kwsoft (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ LDIF import fail
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
With new 2.3.3 release the import of LDIF contacts exported by turba 
fail with the following message in the logifle:
Dec 22 10:29:34 h1397077 apache2: PHP Fatal error:  Cannot use 
assign-op operators with overloaded objects nor string offsets in 
/var/www/horde/turba/lib/Data/ldif.php on line 257
Dec 22 10:30:08 h1397077 HORDE[25975]: PHP Fatal error:  Cannot use 
assign-op operators with overloaded objects nor string offsets in 
/var/www/horde/turba/lib/Data/ldif.php on line 257

Saved Queries